javax.security.auth.message.callback

## Class GroupPrincipalCallback

- java.lang.Object
- - javax.security.auth.message.callback.GroupPrincipalCallback

- All Implemented Interfaces:
    Callback

      public class GroupPrincipalCallback
      extends Object
      implements Callback

  Callback establishing group principals within the argument subject. This callback is intended to be called by a `serverAuthModule` during its `validateRequest` processing.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupPrincipalCallback(Subject s, String[] g)` Create a GroupPrincipalCallback to establish the container's representation of the corresponding group principals within the Subject.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getGroups()` Get the array of group names.
    `Subject` | `getSubject()` Get the Subject in which the handler will establish the group principals.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupPrincipalCallback

          public GroupPrincipalCallback(Subject s,
                                String[] g)

      Create a GroupPrincipalCallback to establish the container's representation of the corresponding group principals within the Subject.
      Parameters:
        `s` - The Subject in which the container will create group principals.
        `g` - An array of Strings, where each element contains the name of a group that will be used to create a corresponding group principal within the Subject.

        When a null value is passed to the g argument, the handler will establish the container's representation of no group principals within the Subject. Otherwise, the handler's processing of this callback is additive, yielding the union (without duplicates) of the principals existing within the Subject, and those created with the names occuring within the argument array. The CallbackHandler will define the type of the created principals.

  - ### Method Detail

    - #### getSubject

          public Subject getSubject()

      Get the Subject in which the handler will establish the group principals.
      Returns:
        The subject.

    - #### getGroups

          public String[] getGroups()

      Get the array of group names.
      Returns:
        Null, or an array containing 0 or more String group names.

        When the return value is null, the handler will establish the container's representation of no group principals within the Subject. Otherwise, the handler's processing of this callback is additive, yielding the union (without duplicates) of the principals created with the names in the returned array and those existing within the Subject.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.